libzypp: zyppng::RepoDownloaderWorkflow Namespace Reference

libzypp 17.38.11

zyppng::RepoDownloaderWorkflow Namespace Reference

## Functions
MaybeAwaitable< expected< repo::DownloadContextRef > > | downloadMasterIndex (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, zypp::filesystem::Pathname masterIndex_r)
MaybeAwaitable< expected< repo::DownloadContextRef > > | downloadMasterIndex (repo::DownloadContextRef dl, LazyMediaHandle< Provide > mediaHandle, zypp::filesystem::Pathname masterIndex_r)
MaybeAwaitable< expected< zypp::RepoStatus > > | repoStatus (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle)
MaybeAwaitable< expected< zypp::RepoStatus > > | repoStatus (repo::DownloadContextRef dl, LazyMediaHandle< Provide > mediaHandle)
MaybeAwaitable< expected< repo::DownloadContextRef > > | download (repo::DownloadContextRef dl, ProvideMediaHandle mediaHandle, ProgressObserverRef progressObserver=nullptr)
MaybeAwaitable< expected< repo::DownloadContextRef > > | download (repo::DownloadContextRef dl, LazyMediaHandle< Provide > mediaHandle, ProgressObserverRef progressObserver)
template<typename MediaHandle>
auto | downloadMediaInfo (MediaHandle &&mediaHandle, const zypp::filesystem::Pathname &destdir)

## Function Documentation

## ◆ downloadMasterIndex() [1/2]

MaybeAwaitable< expected< repo::DownloadContextRef > > zyppng::RepoDownloaderWorkflow::downloadMasterIndex | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | zypp::filesystem::Pathname | masterIndex_r )

Definition at line 422 of file repodownloaderwf.cc.

## ◆ downloadMasterIndex() [2/2]

MaybeAwaitable< expected< repo::DownloadContextRef > > zyppng::RepoDownloaderWorkflow::downloadMasterIndex | ( | repo::DownloadContextRef | dl,
|  | LazyMediaHandle< Provide > | mediaHandle,
|  | zypp::filesystem::Pathname | masterIndex_r )

Definition at line 428 of file repodownloaderwf.cc.

## ◆ repoStatus() [1/2]

MaybeAwaitable< expected< zypp::RepoStatus > > zyppng::RepoDownloaderWorkflow::repoStatus | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle )

Definition at line 459 of file repodownloaderwf.cc.

## ◆ repoStatus() [2/2]

MaybeAwaitable< expected< zypp::RepoStatus > > zyppng::RepoDownloaderWorkflow::repoStatus | ( | repo::DownloadContextRef | dl,
|  | LazyMediaHandle< Provide > | mediaHandle )

Definition at line 463 of file repodownloaderwf.cc.

## ◆ download() [1/2]

MaybeAwaitable< expected< repo::DownloadContextRef > > zyppng::RepoDownloaderWorkflow::download | ( | repo::DownloadContextRef | dl,
|  | ProvideMediaHandle | mediaHandle,
|  | ProgressObserverRef | progressObserver = nullptr )

Definition at line 488 of file repodownloaderwf.cc.

## ◆ download() [2/2]

MaybeAwaitable< expected< repo::DownloadContextRef > > zyppng::RepoDownloaderWorkflow::download | ( | repo::DownloadContextRef | dl,
|  | LazyMediaHandle< Provide > | mediaHandle,
|  | ProgressObserverRef | progressObserver )

Definition at line 493 of file repodownloaderwf.cc.

## ◆ downloadMediaInfo()

template<typename MediaHandle>

auto zyppng::RepoDownloaderWorkflow::downloadMediaInfo | ( | MediaHandle && | mediaHandle,
|  | const zypp::filesystem::Pathname & | destdir )

Definition at line 41 of file repodownloaderwf.h.